Skip to main content
POST
/
api
/
v1
/
rules
/
evaluate-rules:preview
EvaluateRulesPreview
curl --request POST \
  --url https://api.siftstack.com/api/v1/rules/evaluate-rules:preview \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "run": {
    "id": "<string>",
    "clientKey": "<string>"
  },
  "runTimeRange": {
    "run": {
      "id": "<string>",
      "clientKey": "<string>"
    },
    "startTime": "2023-11-07T05:31:56Z",
    "endTime": "2023-11-07T05:31:56Z"
  },
  "organizationId": "<string>"
}
'
{
  "createdAnnotationCount": 123,
  "dryRunAnnotations": [
    {
      "startTime": "2023-11-07T05:31:56Z",
      "endTime": "2023-11-07T05:31:56Z",
      "conditionId": "<string>",
      "name": "<string>",
      "conditionVersionId": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.siftstack.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
run
object
runTimeRange
object
rules
object
ruleVersions
object
reportTemplate
object
ruleConfigs
object
organizationId
string

Response

A successful response.

createdAnnotationCount
integer<int32>
required
dryRunAnnotations
object[]